Bug 1299615 (CVE-2016-0721) - CVE-2016-0721 pcs: cookies are not invalidated upon logout
Summary: CVE-2016-0721 pcs: cookies are not invalidated upon logout
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-0721
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1308827 1330884
Blocks: 1299618 1323912
TreeView+ depends on / blocked
 
Reported: 2016-01-18 18:48 UTC by Martin Prpič
Modified: 2019-09-29 13:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that pcsd did not invalidate cookies on the server side when a user logged out. This could potentially allow an attacker to perform session fixation attacks on pcsd.
Clone Of:
Environment:
Last Closed: 2016-11-06 04:27:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2596 normal SHIPPED_LIVE Moderate: pcs security, bug fix, and enhancement update 2016-11-03 12:11:34 UTC

Description Martin Prpič 2016-01-18 18:48:38 UTC
The session cookie is not invalidated on the server side when logging out of the web UI. It is invalidated in the browser's cookie cache but it still works on requests sent by hand.

The cookie is also not invalidated when that same user log in again, meaning all cookies are stored in a pool of valid sessions that are only invalidated when the cookies expires (1 day).

This can allow attackers to perform session fixation attacks.

Comment 1 Ján Rusnačko 2016-01-19 07:24:09 UTC
Acknowledgements:

Name: Martin Prpic (Red Hat Product Security)

Comment 2 Martin Prpič 2016-01-19 09:35:49 UTC
Statement:

This issue is not currently planned to be addressed in future updates of Red Hat Enterprise Linux 6, as the web UI functionality is disabled by default in pcsd.

Comment 4 Martin Prpič 2016-02-16 08:54:00 UTC
Created pcs tracking bugs for this issue:

Affects: fedora-all [bug 1308827]

Comment 5 Fedora Update System 2016-03-02 21:50:23 UTC
pcs-0.9.149-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-03-03 20:25:45 UTC
pcs-0.9.149-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2016-11-03 20:56:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2596 https://rhn.redhat.com/errata/RHSA-2016-2596.html


Note You need to log in before you can comment on or make changes to this bug.